List Subscriptions
curl --request GET \
--url https://api.embedreach.com/api/subscriptionsimport requests
url = "https://api.embedreach.com/api/subscriptions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.embedreach.com/api/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"results": [
{
"externalId": "<string>",
"emailOptOut": true,
"phoneOptOut": true,
"emailSubscriptionChangeSource": "<string>",
"smsSubscriptionChangeSource": "<string>",
"emailSubscriptionChangeAt": "<string>",
"smsSubscriptionChangeAt": "<string>",
"lastSubscriptionChangeAt": "<string>"
}
],
"pagination": {
"hasNextPage": true,
"cursor": "<string>",
"total": 123
}
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}Subscriptions
List Subscriptions
List all subscription information for a resource. Note: This is sorted by lastSubscriptionChangeAt in descending order
GET
/
api
/
subscriptions
List Subscriptions
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Query Parameters
The cursor to start the pagination
The number of items per page
Since timestamp to filter lastSubscriptionChangeAt
⌘I